Bug 211300 - nsupdate fails on trying to delete CNAME record
nsupdate fails on trying to delete CNAME record
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bind (Show other bugs)
4.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 11:35 EDT by udas
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: bind-9.2.4-16.EL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 03:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udas 2006-10-18 11:35:09 EDT
Description of problem:
nsupdate fails while trying to delete CNAME record

Version-Release number of selected component (if applicable):
bind-utils-9.2.4-2

How reproducible:
We used this script:
[root@vcslinux169 ~]# cat /tmp/nsupdate.sh
/usr/bin/nsupdate -k /var/tsig/Kvrts.com.+157+54203.private << EOF
server <IP>
update delete www.vrts.com
send
EOF
[root@vcslinux169 ~]# /tmp/nsupdate.sh
tsig.c:293: REQUIRE(targetp != ((void *)0) && *targetp == ((void *)0)) failed.
/tmp/nsupdate.sh: line 5:  2573 Aborted                 /usr/bin/nsupdate -k
/var/tsig/Kvrts.com.+157+54203.private  <<EOF
server 10.212.102.66
update delete www.vrts.com
send
EOF

[root@vcslinux169 ~]#

Additional info:
Comment 1 Martin Stransky 2006-10-25 02:45:50 EDT
Could you check the latest package for RHEL-4? (bind-9.2.4-20.EL4)
Comment 2 udas 2006-10-26 22:59:30 EDT
Can you please point me to an URL? I cannot seem to locate the rpm.
Comment 3 Martin Stransky 2006-10-27 04:32:14 EDT
bind-9.2.4-16.EL4.src.rpm should be enough. You can download it via. RHN if you
have a subscription or download it from
ftp://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4AS/en/os/SRPMS/ and
compile it.

Or check packages in some mirrors (ATrpms, CentOS...)
Comment 4 udas 2006-11-02 02:24:35 EST
Thanks for the pointer. This does fix the issue. That would mean this is already
fixed, right?
Comment 5 Martin Stransky 2006-11-02 03:04:22 EST
yes, you're right.

Note You need to log in before you can comment on or make changes to this bug.